/**
 * Book card (teaser display of book content type)
 * Library book-card used in
 * - node--book--teaser.html.twig
 */


/**
 * Global style
 */
.book-card {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  border-radius: 3px;
  max-width: 450px;
  position: relative;
}
.book-card__image {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-primary--5);
    padding: 0.844rem 0;
    overflow: hidden;

}
.book-card__image img {
    transition: ease-in-out 100ms;
}
.book-card:hover img {
    scale: 1.2;
    rotate: -1.5deg;
}
.book-card__content {
    padding: 1.5rem;
    display: flex;
    gap: 0.5rem;
    flex-direction: column;
    background-color: var(--color-primary--6);
    flex: 1;
}
.book-card__title a {
    color: var(--color-primary--1);
    font-family: 'Raleway';
    font-weight: 800;
    font-size: 1.5rem;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
    line-height: 130%;
}
.book-card__author a {
    color: var(--color-primary--1);
    font-family: 'Raleway';
    font-weight: 600;
    font-size: 1rem;
}
.book-card__description p {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
    margin: 0.5rem 0;
    color: var(--color-primary--2);
    font-family: 'Merriweather';
    font-weight: 400;
    font-size: 1rem;
}
.book-card__more {
    align-self: flex-end;
}
.book-card__more a {
    font-family: 'Raleway';
    font-size: 1rem;
    color: var(--color-primary--1);
    font-weight: 600;
    gap: 3px;
    align-items: center;
    justify-content: center;
    line-height: 150%;
    text-decoration: none;
}
.book-card__more a:hover {
    text-decoration: underline;
}
.book-card__more a::before {
    content: '>';
    display:inline-block;
    text-decoration: none;
    margin-right: 3px;
}
.book-card__more a:hover::before {
    text-decoration: none;
}
.book-card__new-tag {
  padding: 0.2rem 0.5rem;
  border-radius: 3px 3px 0 3px;
  background-color: var(--color-culture--3);
  font-family: 'Raleway', sans-serif;
  font-size: 0.6rem;
  font-weight: 600;
  color: var(--color-neutral);
  position: absolute;
  top: 24px;
  right: -10px;
}
.book-card__new-tag::after {
  content: '';
  display: block;
  position: absolute;
  right: 0px;
  top: 21px;
  width: 10.5px;
  height: 8px;
  background-image: url('../../images/icons/new-tag-vector--culture.svg');
  background-position: center;
  background-repeat: no-repeat;
}


@media all and (min-width: 750px) {
  .book-card {
    max-width: unset;
  }
}
@media all and (min-width: 1000px){
  .book-card__new-tag {
    font-size: 0.75rem;
    top: 24px;
    right: -14.5px;
  }
  .book-card__new-tag::after {
    right: 0px;
    top: 24px;
    width: 14.5px;
  }
}

/**
 *  Special style for book cards inside slider
 */

#tns1.book-card-slider > .tns-item.book-card {
  display: flex;
  max-width: calc(278px + 16px);
  min-width: calc(278px + 16px);
}
@media all and (min-width: 1000px) {
  #tns1.book-card-slider > .tns-item.book-card {
      max-width: calc(328px + 32px);
      min-width: calc(328px + 32px);
  }
}


/**
 * Card color from category
 */
.book-card-- .book-card__content {
  border-top: 4px solid var(--color-secondary--4);
}
.book-card--color-youth .book-card__content {
    border-top: 4px solid var(--color-youth--1);
}
.book-card--color-youth .book-card__more a::before {
    color: var(--color-youth--2);
    display:inline-block;
    text-decoration: none;
}
.book-card--color-heritage .book-card__content {
    border-top: 4px solid var(--color-heritage--1);
}
.book-card--color-heritage .book-card__more a::before {
    color: var(--color-heritage--2);
    display:inline-block;
    text-decoration: none;
}
.book-card--color-culture .book-card__content {
    border-top: 4px solid var(--color-culture--1);
}
.book-card--color-culture .book-card__more a::before {
    color: var(--color-culture--2);
    display:inline-block;
    text-decoration: none;

}
.book-card--color-fictions .book-card__content {
    border-top: 4px solid var(--color-fictions--1);
}
.book-card--color-fictions .book-card__more a::before {
    color: var(--color-fictions--2);
    display:inline-block;
    text-decoration: none;

}
.book-card--color-history .book-card__content {
    border-top: 4px solid var(--color-history--1);
}
.book-card--color-history .book-card__more a::before {
    color: var(--color-history--2);
    display:inline-block;
    text-decoration: none;

}
.book-card--color-space .book-card__content {
    border-top: 4px solid var(--color-space--1);
}
.book-card--color-space .book-card__more a::before {
    color: var(--color-space--2);
    display:inline-block;
    text-decoration: none;

}
.book-card--color-sport .book-card__content {
    border-top: 4px solid var(--color-sport--1);
}
.book-card--color-sport .book-card__more a::before {
    color: var(--color-sport--2);
    display:inline-block;
    text-decoration: none;

}
.book-card--color-news .book-card__content {
    border-top: 4px solid var(--color-news--1);
}
.book-card--color-news .book-card__more a::before {
    color: var(--color-news--2);
    display:inline-block;
    text-decoration: none;
}


/**
 * Book card for press release view
 */

.book-card--press-release .book-card__date {
    color: var(--color-primary--1);
    font-family: 'Merriweather';
    font-weight: 400;
    font-size: 1rem;
    display: flex;
    gap: 0.5rem;
    align-items: center;
}
.book-card--press-release .book-card__date::before {
  content: '';
  display: block;

  background-repeat: no-repeat;
  background-position: center;
  width: 12px;
  height: 2px;
}

.book-card--color-youth.book-card--press-release .book-card__date::before  {
  background-color: var(--color-youth--2);
}
.book-card--color-heritage.book-card--press-release .book-card__date::before  {
  background-color: var(--color-heritage--2);
}
.book-card--color-culture.book-card--press-release .book-card__date::before  {
  background-color: var(--color-culture--2);
}
.book-card--color-fictions.book-card--press-release .book-card__date::before  {
  background-color: var(--color-fictions--2);
}
.book-card--color-history.book-card--press-release .book-card__date::before  {
  background-color: var(--color-history--2);
}
.book-card--color-space.book-card--press-release .book-card__date::before  {
  background-color: var(--color-space--2);
}
.book-card--color-sport.book-card--press-release .book-card__date::before  {
  background-color: var(--color-sport--2);
}
.book-card--color-news.book-card--press-release .book-card__date::before  {
  background-color: var(--color-news--2);
}






.book-card--press-release .book-card--dark .card__date::before {
  background-image: url('/themes/custom/editionsprivat/images/icons/card--dark-date-before.svg');
}
.book-card--press-release .book-card__title  {
  color: var(--color-primary--1);
  font-family: 'Raleway';
  font-weight: 800;
  font-size: 1.5rem;
}

.book-card--press-release .book-card__more {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  text-align: right;
}
.book-card--press-release:hover img {
  scale: unset;
  rotate: unset;
}


/* Override Page Mallard */

.block-views-blockpress-release-block-2 .book-card__image {
  display: none;
}

.press-header--mallard {
  margin-top: 4rem;
  margin-bottom: 2.5rem;
}

.press-title--mallard {
  font-size: 28px;
}
.block-views-blockpress-release-block-2 .book-card--color-youth .book-card__content {
  border-top: unset;
}
.block-views-blockpress-release-block-2 .book-card--press-release .book-card__date {
  display: none;
}

.block-views-blockpress-release-block-2 .card-wrapper--4 {
  margin-bottom: 4rem;
}

.block-views-blockpress-release-block-2 .book-card--press-release {
  position: relative;
}

.block-views-blockpress-release-block-2 .book-card--press-release .book-card__title {
  max-width: 250px;
}

.block-views-blockpress-release-block-2 .book-card--press-release::before {
  content: '';
  position: absolute;
  top: 1.5rem;
  right: 1.5rem;
  width: 24px;
  height: 24px;
  background: url('../../images/press/icon-press.svg') no-repeat center;
  background-size: contain;
  z-index: 1;
}

@media all and (min-width: 1200px) {
  .block-views-blockpress-release-block-2 .card-wrapper--4 {
    margin-bottom: 6rem;
  }
  .press-header--mallard {
    margin-top: 6rem;
    margin-bottom: 5rem;
  }

  .press-title--mallard {
    font: 32px;
  }
}
